Eclipse Draw2d 3.7

## org.eclipse.draw2d
Class Polygon

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Shape
              org.eclipse.draw2d.AbstractPointListShape
                  org.eclipse.draw2d.Polyline
                      org.eclipse.draw2d.Polygon

All Implemented Interfaces:
  IFigure

Direct Known Subclasses:
  PolygonDecoration

    public class Polygon

extends Polyline

Renders a `PointList` as a polygonal shape. This class is similar to Polyline, except the PointList is closed and can be filled in as a solid shape.

See Also:
  `Polyline`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.draw2d.Shape
`lineStyle, lineWidth`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`Polygon()`

Method Summary
`boolean` `containsPoint(int x, int y)` Returns whether the point (x,y) is contained inside this polygon.
`protected void` `fillShape(Graphics g)` Fill the Polygon with the background color set by g.
`protected void` `outlineShape(Graphics g)` Draw the outline of the Polygon.
`protected boolean` `shapeContainsPoint(int x, int y)` Returns `true` if the point `(x, y)` is contained within this figure.

Methods inherited from class org.eclipse.draw2d.Polyline
`getBounds, isOpaque, primTranslate, removeAllPoints, repaint, setLineWidth, setPoints, setTolerance`

Methods inherited from class org.eclipse.draw2d.AbstractPointListShape
`addPoint, childrenContainsPoint, getEnd, getPoints, getStart, insertPoint, removePoint, setEnd, setEndpoints, setPoint, setStart`

Methods inherited from class org.eclipse.draw2d.Shape

`getAlpha, getAntialias, getLineAttributes, getLineCap, getLineDash, getLineDashOffset, getLineJoin, getLineMiterLimit, getLineStyle, getLineWidth, getLineWidthFloat, paintFigure, setAlpha, setAlpha, setAntialias, setAntialias, setFill, setFillXOR, setLineAttributes, setLineCap, setLineDash, setLineDashOffset, setLineJoin, setLineMiterLimit, setLineStyle, setLineWidthFloat, setOutline, setOutlineXOR, setXOR`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Polygon

    public Polygon()

Method Detail

### containsPoint

    public boolean containsPoint(int x,
                                 int y)

  Returns whether the point (x,y) is contained inside this polygon.

  Specified by:
    `containsPoint` in interface `IFigure`
  Overrides:
    `containsPoint` in class `Polyline`
  Parameters:
    `x` - the X coordinate
    `y` - the Y coordinate
  Returns:
    whether the point (x,y) is contained in this polygon
  See Also:
    `IFigure.containsPoint(int, int)`

### shapeContainsPoint

    protected boolean shapeContainsPoint(int x,
                                         int y)

  Description copied from class: `AbstractPointListShape`
  Returns `true` if the point `(x, y)` is contained within this figure.

  Overrides:
    `shapeContainsPoint` in class `Polyline`
  Parameters:
    `x` - The X coordinate
    `y` - The Y coordinate
  Returns:
    `true` if the point (x,y) is contained in this figure

### fillShape

    protected void fillShape(Graphics g)

  Fill the Polygon with the background color set by g.

  Overrides:
    `fillShape` in class `Polyline`
  Parameters:
    `g` - the Graphics object
  Since:
    2.0
  See Also:
    `Shape.fillShape(Graphics)`

### outlineShape

    protected void outlineShape(Graphics g)

  Draw the outline of the Polygon.

  Overrides:
    `outlineShape` in class `Polyline`
  Parameters:
    `g` - the Graphics object
  Since:
    2.0
  See Also:
    `Shape.outlineShape(Graphics)`

Eclipse Draw2d 3.7

Copyright (c) IBM Corp. and others 2000, 2011. All Rights Reserved.